ComponentException
Date: 2016-06-25

org.osgi.service.component

## Class ComponentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.service.component.ComponentException

- All Implemented Interfaces:
    java.io.Serializable

      public class ComponentException
      extends java.lang.RuntimeException

  Unchecked exception which may be thrown by Service Component Runtime.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentException(java.lang.String message)` Construct a new ComponentException with the specified message.
    `ComponentException(java.lang.String message, java.lang.Throwable cause)` Construct a new ComponentException with the specified message and cause.
    `ComponentException(java.lang.Throwable cause)` Construct a new ComponentException with the specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getCause()` Returns the cause of this exception or `null` if no cause was set.
    `java.lang.Throwable` | `initCause(java.lang.Throwable cause)` Initializes the cause of this exception to the specified value.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentException

          public ComponentException(java.lang.String message,
                            java.lang.Throwable cause)

      Construct a new ComponentException with the specified message and cause.
      Parameters:
        `message` - The message for the exception.
        `cause` - The cause of the exception. May be `null`.

    - #### ComponentException

          public ComponentException(java.lang.String message)

      Construct a new ComponentException with the specified message.
      Parameters:
        `message` - The message for the exception.

    - #### ComponentException

          public ComponentException(java.lang.Throwable cause)

      Construct a new ComponentException with the specified cause.
      Parameters:
        `cause` - The cause of the exception. May be `null`.

  - ### Method Detail

    - #### getCause

          public java.lang.Throwable getCause()

      Returns the cause of this exception or `null` if no cause was set.
      Overrides:
        `getCause` in class `java.lang.Throwable`
      Returns:
        The cause of this exception or `null` if no cause was set.

    - #### initCause

          public java.lang.Throwable initCause(java.lang.Throwable cause)

      Initializes the cause of this exception to the specified value.
      Overrides:
        `initCause` in class `java.lang.Throwable`
      Parameters:
        `cause` - The cause of this exception.
      Returns:
        This exception.
      Throws:
        `java.lang.IllegalArgumentException` - If the specified cause is this exception.
        `java.lang.IllegalStateException` - If the cause of this exception has already been set.